$| = 1;
use Perlmazing;
use strict;
use warnings;
use Test::More;

BEGIN {
	use_ok 'Twilio';
}

my $sid = 'AC6de7f154fda3b454bb9961df50427cdf';
my $token = '5d63b031798825773ecd430d3e73805e';

my $api = Twilio->new (
	sid		=> $sid,
	token	=> $token,
);
my $test;

###############################################
$test = 'Get AuthorizedConnectApps instance';
my $apps = $api->AuthorizedConnectApps;
is ref($apps), 'Twilio::AuthorizedConnectApps', $test;

###############################################
$test = 'Get AuthorizedConnectApps list';
my @apps = $api->AuthorizedConnectApps;
is @apps > 0, 1, $test;

###############################################
$test = 'Items in the list are Twilio::AuthorizedConnectApps::AuthorizedConnectApp instances';
my $ok = 1;
for my $i (@apps) {
	$ok = 0 unless ref($i) eq 'Twilio::AuthorizedConnectApps::AuthorizedConnectApp';
}
is $ok, 1, $test;

###############################################
$test = 'Get instance by sid';
my $app = $api->AuthorizedConnectApps->get($apps[0]->sid);
is ref($app), 'Twilio::AuthorizedConnectApps::AuthorizedConnectApp', $test;

done_testing;
